IncludeSh 'utils'

IsProductStarting()
{
    # Trace "IsProductStarting()"

    local prodPidFile='/var/run/kesl.pid'
    local prodBin='/opt/kaspersky/kesl/libexec/kesl'

    # check pid file exists
    [ -f "${prodPidFile}" ] || return 1

    local pid
    read pid <"${prodPidFile}"

    # check pid file is not empty
    [ -n "${pid}" ] || return 1

    # check a process with such pid exists
    test -e "/proc/${pid}" || return 1

    # check the process executes product binary
    test "/proc/${pid}/exe" -ef "${prodBin}" || return 1

    return 0
}

IsProductReady()
{
    local readyMarkerFilepath='/var/run/kesl.mrk'
    IsProductStarting && test -f "${readyMarkerFilepath}"
}
