EmitOfflineEvent()
{
    local eventsDir='/var/opt/kaspersky/kesl/common/offline-events/'

    if [ $# -lt 2 ]; then
        Die "Too few number of arguments: 'EventType' and 'DangerLevel' must be specified"
    fi

    local eventType="${1:?}"
    local dangerLevel="${2:?}"
    shift 2

    local timestamp="$(date '+%s')"
    local jsonTxt="\"EventType\": \"${eventType}\", \"DangerLevel\": \"${dangerLevel}\", \"Date\": ${timestamp}"
    while [ $# -gt 0 ]; do
        if [ $# -eq 1 ]; then
            Die "Improper number of arguments"
        fi

        local key="$1"
        local value="$2"
        shift 2

        jsonTxt="${jsonTxt}, \"${key}\": \"${value}\""
    done

    jsonTxt="{ ${jsonTxt} }"

    local eventFilePath
    eventFilePath="$(umask 577; mktemp -t --tmpdir="${eventsDir}" "$(date '+%FT''%T.''%3N''%:z')(XXXXXX).${eventType}")"
    echo "${jsonTxt}" > "${eventFilePath}"
    chmod u=r "${eventFilePath}"
}
