GetSystemdUnitPath()
{
    local result=''
    ps -p 1 -o comm= | grep 'systemd' >/dev/null 2>&1
    if [ $? -eq 0 ]; then
        eval $(systemctl show -p FragmentPath multi-user.target)
        result=$(dirname ${FragmentPath})

        if [ -z "${result}" ]; then
            Die "There is unsupported OS or configuration. Let's provide 'FragmentPath' property for 'multi-user.target'."
        fi
    fi

    if [ -z "$1" ]; then
        echo "${result}"
    else
        eval "${1#@}=\"\${result}\""
    fi
}

GetSystemdUnitPath_K10()
{
    local result=''
    local etcSystemd='/etc/systemd/system'
    local usrLibSystemd='/usr/lib/systemd/system'

    ps -p 1 -o comm= | grep 'systemd' >/dev/null 2>&1
    if [ $? -eq 0 ]; then
       if [ -d "${etcSystemd}" ]; then
           result="${etcSystemd}"
       else
           if [ -d "${usrLibSystemd}" ]; then
               result="${usrLibSystemd}"
           else
               Die "There is unsupported OS or configuration. Let's provide symlink '${etcSystemd}' to systemd unit directory."
           fi
       fi
    fi

    if [ -z "$1" ]; then
        echo "${result}"
    else
        eval "${1#@}=\"\${result}\""
    fi
}
