package KL::Localization::en;

use strict;
use warnings;

require Exporter;
our @ISA = qw(Exporter);
do 'KL/Localization/export.pl' or die '$!';

our $HEADER_SHOW_EULA = <<EOT;
Accepting the End User License Agreement (EULA) and Privacy Policy
EOT

our $MSG_SHOW_EULA_BEGIN = <<EOT;
Please read and accept the End User License Agreement (EULA) and Privacy Policy to continue.
EOT

our $MSG_SHOW_EULA_FILE_PATH_MESSAGE = <<EOT;
Read EULA and Privacy Policy from file: "%1" (utf-8), if it cannot be read here.
EOT

our $MSG_SHOW_AGREEMENT_HOWTO_QUIT = <<EOT;

<B>NOTE:</B> To quit the EULA and Privacy Policy viewer, press the Q key.
EOT

our $MSG_SHOW_AGREEMENT_END = <<EOT;

Press ENTER to display the EULA and Privacy Policy:
EOT

our $MSG_SHOW_AGREEMENT_ERROR = <<EOT;
Could not display the EULA and Privacy Policy file %1: %2.
EOT
our $MSG_UNEXPECTED_ERROR = <<EOT;
Unexpected error: %1.
EOT

our $MSG_SHOW_EULA_QUESTION = <<EOT;
I confirm that I have fully read, understand, and accept the terms and conditions of this End User License Agreement [%def_answer%]:
EOT

our $MSG_SHOW_EULA_NOT_ACCEPTED = <<EOT;
The EULA was not accepted.
EOT

our $MSG_SHOW_PRIVACY_POLICY_QUESTION = <<EOT;
I am aware and agree that my data will be handled and transmitted (including to third countries) as described in the Privacy Policy. I confirm that I have fully read and understand the Privacy Policy [%def_answer%]:
EOT

our $MSG_SHOW_PRIVACY_POLICY_NOT_ACCEPTED = <<EOT;
The Privacy Policy was not accepted.
EOT

our $HEADER_SHOW_KSNUA = <<EOT;
Kaspersky Security Network Statement
EOT

our $MSG_SHOW_KSNUA_BEGIN = <<EOT;
Please read and accept the Kaspersky Security Network (KSN) Statement (optional).
Please note, you will not be able to participate in KSN if you do not accept the KSN Statement.
EOT

our $MSG_SHOW_KSNUA_FILE_PATH_MESSAGE = <<EOT;
Read the KSN Statement from file "%1" (utf-8) if it cannot be read here.
EOT

our $MSG_SHOW_KSNUA_QUESTION = <<EOT;
I confirm that I have fully read, understand, and accept the terms and conditions of the Kaspersky Security Network Statement [%def_answer%]:
EOT

our $MSG_SHOW_KSNUA_NOT_ACCEPTED = <<EOT;
The KSN Statement was not accepted.
EOT

our $MSG_SHOW_ENGLISH_AGREEMENT_QUESTION = <<EOT;
Do you want to read the EULA and Privacy Policy in English? [%def_answer%]:
EOT

our $HEADER_INSTALL_KEY = <<EOT;
Activate the application
EOT

our $MSG_ACTIVATION_ENTER_TRIAL = <<EOT;
You must activate the application to use it.
To activate the application now, enter the path to your key file or an activation code. Enter an empty string to add the built-in trial key:
EOT

our $MSG_ACTIVATION_ENTER_SKIP = <<EOT;
You must activate the application to use it.
To activate the application now, enter the path to your key file or an activation code. Enter an empty string to skip the activation.
EOT

our $MSG_INSTALL_OPENDIR_FAILED = <<EOT;
Could not open the %1 directory: %2.
EOT

our $MSG_ACTIVATION_SUCCESS = <<EOT;
Activation completed successfully.
EOT

our $MSG_ACTIVATION_FAILED = <<EOT;
The activation from '%1' has not completed: %2

EOT

our $MSG_TRIAL_KEY_ACTIVATION_SUCCESS = <<EOT;
Adding the built-in trial key has completed successfully.
EOT

our $MSG_TRIAL_KEY_ACTIVATION_FAILED = <<EOT;
Adding the built-in trial key '%1' has not completed: %2

EOT
our $HEADER_SETUP_UPDATE_SOURCE = <<EOT;
Configuring the update source
EOT
our $MSG_SET_UPDATE_SOURCE = <<EOT;
Specify the update source. Possible values: KLServers|SCServer|<url>: [%def_answer%]:
EOT
our $HEADER_SETUP_PROXY = <<EOT;
Configuring proxy settings to connect to the updates source
EOT

our $MSG_CANNOT_SHOW_LICENSE_WITH_THE_CODEPAGE = <<EOT;
The terminal has incompatible code page. Please set code page to UTF-8 and restart the script. You can read file %1 (utf-8).
EOT

our $MSG_SET_HTTP_PROXY = <<EOT;
If you use an HTTP proxy server to access the Internet, please enter
the address in one of the following formats:
proxyIP:port or user:pass\@proxyIP:port, or enter 'no' [%def_answer%]:
EOT

our $MSG_INVALID_PROXY_SETTING = <<EOT;
Invalid proxy setting %1\n.
EOT

our $MSG_SET_PROXY_UPDATED = <<EOT;
Proxy settings are set to '%1'.
EOT

our $HEADER_SETUP_AUTOUPDATES = <<EOT;
Enabling automatic updates of the application databases
EOT

our $MSG_SET_AUTOUPDATES = <<EOT;
Do you want to enable scheduled updates? [%def_answer%]:
EOT

our $MSG_SET_AUTOUPDATES_SUCCESS = <<EOT;
Scheduled updates are enabled.
%1
EOT

our $MSG_SET_AUTOUPDATES_FAILED = <<EOT;
An error occurred while enabling scheduled updates: %1.
EOT

our $HEADER_DOWNLOAD_BASES = <<EOT;
Downloading the latest application databases
EOT

our $MSG_NOT_CONFIGURED_NOTICE = <<EOT;
<B>%1</B> has been installed successfully, but post-installation configuration must be performed before using the application.
Please run <B>%2</B> script manually to configure the application.
EOT

our $MSG_USAGE_HELP = <<EOT;
Usage: $0 [<option>]
Perform post-installation configuration by using the specified option (by default, --postinstall).

Options:
EOT

our $MSG_AI_EXECUTED_INFO = <<EOT;
Executing automatic installation using parameters from file '%1'.
EOT

our $MSG_AI_LOAD_FAILED = <<EOT;
Could not read parameters of automatic installation from file '%1'.
EOT

our $MSG_AI_SAVE_FAILED = <<EOT;
Could not write automatic installation parameter %1=%2 to file %3: %4.
EOT

our $MSG_AI_VALIDATION_FAILED = <<EOT;
Automatic installation failed, invalid values found.
EOT

our $MSG_AI_INSTALLATION_CANCELED = <<EOT;
Automatic installation is canceled.
EOT

our $MSG_CMD_HELP_POSTINSTALL = "--postinstall\tPerform user-interactive configuration (by default)";
our $MSG_CMD_HELP_AUTOINSTALL = "--autoinstall=<file>\tPerform automatic configuration using settings from file\t(for example, see file '%1')";
our $MSG_CMD_HELP_BUILD = "-b, --build[=<path>]\tCompile and install the kernel-level File Threat Protection module";
our $MSG_CMD_HELP_GUI = "-G, --gui\tSetup application GUI";
our $MSG_CMD_HELP_HELP = "-h, --help\tDisplay this Help and exit";

our $MSG_CANT_EXECUTE = <<EOT;
Could not execute the command %1 %2: %3.
EOT

our $MSG_CANNOT_SAVE_TEMP_FILE = <<EOT;
Could not save a temporary file.
EOT

our $MSG_COMMAND_FAILED = <<EOT;
Could not execute the command %1: %2.
EOT

our $HEADER_SETUP_OAS = <<EOT;
Setting up kernel-level File Threat Protection
EOT

our $MSG_OAS_CONFIGURE_NOT_FOUND = <<EOT;
Could not find the initial configuration script in directory %2.
EOT

our $MSG_OAS_OS_NOT_SUPPORTED = <<EOT;
The %1 OS is not supported.
EOT

our $MSG_OAS_MODULE_CONFIRM = <<EOT;
Do you want to compile the kernel-level File Threat Protection module?
EOT

our $MSG_KERNEL_MODULE_MISSING_FOR_KERNEL_VERSION = <<EOT;
The kernel module is missing for the current Linux kernel version.
EOT

our $MSG_OAS_LINUX_SRC_FOUND_AT = <<EOT;
Linux kernel source code is found at '%1'.
EOT

our $MSG_OAS_ENTER_LINUX_PATH = <<EOT;
The installer found the source code for your Linux kernel. Press ENTER to confirm this path, or enter another path to the source code for your Linux kernel, or enter 'cancel' to interrupt the compilation of the kernel-level File Threat Protection module:
EOT

our $MSG_OAS_ENTER_ANOTHER_LINUX_PATH = <<EOT;
Enter another path to the source code for your Linux kernel, or enter 'cancel' to interrupt the compilation of the kernel-level File Threat Protection module:
EOT

our $MSG_OAS_BAD_LINUX_PATH = <<EOT;
The %1 path is not a correct Linux kernel path.

EOT

our $MSG_OAS_BUILD_TOOLS_NOT_FOUND = <<EOT;
The following build tools are not found:

EOT

our $MSG_OAS_NEED_INSTALL_NECESSARY_PACKAGES = <<EOT;

You probably have to install the necessary packages to build the kernel-level File Threat Protection module.
EOT


our $MSG_OAS_AUTO_INSTALL_REQUIRED_PACKAGES_Q = <<EOT;
Do you want to install required package(s) automatically [%def_answer%]?
EOT

our $MSG_OAS_BUILD_TOOLS_INSTALLATION_FAILED = <<EOT;
Could not install build tools.
Try to install them manually, and start this setup script again with the '-B' option.
EOT

our $MSG_OAS_BUILD_TOOLS_DONT_KNOWN_HOW_TODO_AUTO_INSTALL = <<EOT;
Could not determine how to install the build tools automatically for this operation system.
EOT

our $MSG_OAS_LINUX_SRC_DONT_KNOWN_HOW_TODO_AUTO_INSTALL = <<EOT;
Could not determine how to install the Linux kernel source code automatically for this operation system.
EOT

our $MSG_OAS_KERNEL_SRCS_NOT_FOUND = <<EOT;
Could not find the Linux kernel source code.
EOT

our $MSG_OAS_KERNEL_SRCS_PROBABLY_NEED_INSTALL = <<EOT;
You probably have to install the Linux kernel source package to build the kernel-level File Threat Protection module.
EOT

our $MSG_OAS_KERNEL_SRCS_NOT_FOUND_AT = <<EOT;
Could not find the Linux kernel source code in %1.
EOT

our $MSG_OAS_LINUX_SRC_INSTALLATION_FAILED = <<EOT;

Could not install the Linux kernel source code package.
Try to install it manually, and start this installation script again with the '-B' option.
EOT

our $MSG_OAS_KERNEL_SRCS_DEF_LOCATIONS = 'default locations';

our $MSG_OAS_KERNEL_SRCS_NOT_CONFIGURED = <<EOT;
The Linux kernel source code found in %1 is not configured correctly. You have to configure it to build the kernel-level File Threat Protection module.
EOT

our $MSG_OAS_LINUX_STEP_CONFIGURING = <<EOT;
>>> Building the kernel-level File Threat Protection module using the Linux kernel source code from %1.
EOT

our $MSG_OAS_LINUX_STEP_COMPILING = <<EOT;
>>> Compiling the kernel-level File Threat Protection module
EOT

our $MSG_OAS_LINUX_COMPILE_ERROR = <<EOT;
Could not compile the module.
EOT

our $MSG_OAS_LINUX_MKDIR_ERROR = <<EOT;
Could not create the %1 directory.
EOT

our $MSG_OAS_LINUX_CANT_FIND_MODULE = <<EOT;
Could not find a compiled kernel-level File Threat Protection module.
EOT

our $MSG_OAS_LINUX_CANT_FIND_REDIR_MODULE = <<EOT;
Could not find a compiled kernel-level redirfs framework module.
EOT

our $MSG_OAS_LINUX_STEP_INSTALL = <<EOT;
>>> Installing the module as %1
EOT

our $MSG_OAS_LINUX_STEP_REBUILD_DEPS = <<EOT;
>>> Rebuilding modules.dep
EOT

our $MSG_OAS_LINUX_STEP_PROBE = <<EOT;
>>> Probing a new module
EOT

our $MSG_OAS_LINUX_STEP_DELETE = <<EOT;
>>> Deleting %1
EOT

our $MSG_OAS_LINUX_BUILD_FAILED = <<EOT;
Could not install the %1 module. The specified Linux kernel source code probably is not for the Linux kernel that you are currently using. You can run the initial configuration script again by executing <B>%2 --build[=PATH]</B>.
EOT

our $MSG_OAS_LINUX_STEP_UNLOAD = <<EOT;
>>> Unloading the module %1
EOT

our $MSG_OAS_FREEBSD_STEP_CONFIGURE = <<EOT;
>>> Configuring the FreeBSD kernel module...
EOT

our $MSG_OAS_FREEBSD_STEP_COMPILE = <<EOT;
>>> Compiling the FreeBSD kernel module
EOT

our $MSG_OAS_FREEBSD_COMPILE_ERROR = <<EOT;
Could not compile the %1 module.
EOT

our $MSG_OAS_FREEBSD_STEP_PROBE = <<EOT;
>>> Probing the new module
EOT

our $MSG_OAS_FREEBSD_STEP_DELETE = <<EOT;
>>> Deleting %1...
EOT

our $MSG_OAS_FREEBSD_BUILD_FAILED = <<EOT;
Could not install the %1 module.
EOT

our $MSG_OAS_FREEBSD_STEP_UNLOAD = <<EOT;
>>> Unloading the module
EOT

our $MSG_OAS_MODULE_WARN = <<EOT;
The kernel-level File Threat Protection module is not compiled.
To recompile the kernel-level File Threat Protection module manually, start
<B>%1 --build[=PATH]</B>.

EOT

our $MSG_OAS_DISABLE_CONFIRM = <<EOT;
Do you want to disable File Threat Protection?
EOT

our $MSG_OAS_DISABLED_WARN = <<EOT;
File Threat Protection is DISABLED.
EOT

our $MSG_GET_PROXY_FAILED = <<EOT;
Could not get proxy settings.
EOT

our $MSG_CHANGE_PROXY_FAILED = <<EOT;
Could not change proxy settings.
EOT

our $MSG_FORBIDDEN_CONTROL_SEQUENCE = <<EOT;
Do not use control sequences.
EOT

our $MSG_USE_CODES_FOR_RFC3986_GEN_DELIMS_CHARACTERS = <<EOT;
Alphanumeric characters and sub-delims are allowed (see RFC3986). Use \%xx for other symbols.
EOT

our $MSG_INCORRECT_PROXY_VALUE = <<EOT;
The %1 value is not the correct value for proxy settings.
EOT

our $MSG_AUTOUPDATE_HOURLY = <<EOT;
The application databases are scheduled to be updated hourly.
EOT

our $MSG_AUTOUPDATE_MANUALLY = <<EOT;
The application databases are scheduled to be updated manually.
EOT

our $MSG_UPGRADE_MODULE_WARN = <<EOT;
An error occurred while converting the settings. For more information, see %1.
EOT

our $HEADER_START_OAS = <<EOT;
Starting the File Threat Protection task
EOT

our $HEADER_SERVICE_LOCALE = <<EOT;
Setting up the Anti-Virus Service default locale
EOT

our $MSG_SERVICE_LOCALE_CHANGED = <<EOT;
Anti-Virus Service default locale is changed to '%1'.
Service will be restarted if it is already running.
EOT

our $MSG_SERVICE_ASK_LOCALE = <<EOT;
You must specify a locale that the Anti-Virus Service will use when applying the protection settings.
It is important to specify the locale you are using when working with the file system names (in most cases this should be the system default locale) [%def_answer%]:
EOT

our $MSG_SERVICE_BAD_LOCALE = <<EOT;
'%1' is not a valid locale. %2
EOT

our $MSG_SERVICE_LOCALE_HINT_LIST = <<EOT;
You can execute 'locale -a' command line to see the list of all available locales.
EOT

our $MSG_SERVICE_LOCALE_HINT_ETC = <<EOT;
Please select one of the locales from /etc/locale. Please note that on some systems not all of the locales shown by the 'locale -a' command are actually available.
EOT

our $MSG_RUN_UPDATER = <<EOT;
Updated databases are an essential part of your server protection.
Please note that the application may be restarted during the update process.
Do you want to download the latest databases now? [%def_answer%]:
EOT

our $MSG_WAIT_AFTER_RESTART = <<EOT;
Waiting for %1 to get ready after restart...
EOT

our $MSG_ERROR_NOTREADY_AFTER_RESTART = <<EOT;
%1 is not ready yet!
EOT

our $HEADER_WMCONSOLE = <<EOT;
Setting up the Web Console
EOT

our $MSG_WMCONSOLE_PASS_CONFIRM = <<EOT;
Do you want to set a password for the Web Console?
EOT

our $MSG_WMCONSOLE_WARN_PASSWORD_NOT_SET = <<EOT;
Password file not found; the Web Console will not be started until correct password is set.
EOT

our $MSG_WMCONSOLE_PASS_HINT = <<EOT;
You can change the password for the Web Console by executing <B>%1</B>.
EOT

our $MSG_WMCONSOLE_BROWSE_HINT = <<EOT;
To open the Kaspersky Endpoint Security Web Console, enter the following address in the address line in your browser:
http://<ip-address-or-domain-name-of-the-protected-server>:9080
EOT

our $HEADER_SETUP_UPDATER_SOURCE = <<EOT;
Configuring the anti-virus database update source
EOT

our $MSG_UPDATER_SOURCE_CHANGED = <<EOT;
The anti-virus database update source is changed to '%1'
EOT

our $MSG_UPDATER_SOURCE_CHANGE_FAILED = <<EOT;
The anti-virus database update source cannot be set to '%1'.
EOT

our $MSG_MKDIR_SYSTEMD_FAILED = <<EOT;
Cannot create %1 folder for systemd.
EOT

our $MSG_RELOAD_SYSTEMD_FAILED = <<EOT;
Could not reload systemd daemon. For details please run journalctl -xn.
EOT

our $MSG_COPY_SYSTEMD_FAILED = <<EOT;
Failed to install %1 into %2.
EOT

our $MSG_RM_FAILED = <<EOT;
Failed to remove '%1': %2.
EOT

our $MSG_FAIL_UPDATE_MESSAGE = <<EOT;
Failed to update.
EOT

our $MSG_SET_UPDATE_SETTINGS_ONE_MORE = <<EOT;
Do you want to set other update settings? [%def_answer%]
EOT

our $MSG_SETUP_SCRIPT_COMPLETED_SUCCESSFULLY = <<EOT;
<B>The setup script completed successfully.</B>
EOT

our $MSG_KLNAGENT_IS_RUNNING_ON_THE_COMPUTER = <<EOT;
Network Agent (klnagent) is running on the device.
Please proceed with configuration through Kaspersky Security Center.
EOT

our $MSG_KLNAGENT_IS_NOT_RUNNING_ON_THE_COMPUTER = <<EOT;
Network Agent (klnagent) is not running on the device.
The update will not be available while Network Agent is stopped.
EOT

our $MSG_USE_SCSERVER_AS_UPDATE_SOURCE = <<EOT;
Do you still want to specify 'SCServer' as the update source? [%def_answer%]:
EOT

our $MSG_PRODUCT_IS_RUNNING_UNDER_POLICY = <<EOT;
The application is working under a policy.
Please proceed configuration through Kaspersky Security Center.
EOT

our $MSG_NOT_IMPLEMENTED_FOR_NON_LINUX = <<EOT;
Not implemented for non-Linux operating systems.
EOT

our $MSG_TRY_TO_START = <<EOT;
Starting %1. This can take some time. Please wait.
EOT

our $MSG_TRY_TO_STOP = <<EOT;
Stopping %1. This can take some time. Please wait.
EOT

our $MSG_TRY_TO_RESTART = <<EOT;
Restarting %1. This can take some time. Please wait.
EOT

our $MSG_STOP_SERVICE_TO_PROCEED = <<EOT;
Application cannot be configured while it is running.
Do you want to stop the application and proceed with configuration? [%def_answer%]:
EOT

our $MSG_COMMERCIAL_LICENSE = "commercial";
our $MSG_TRIAL_LICENSE = "trial";
our $MSG_BLACKLISTED_LICENSE = "blacklisted";
our $MSG_OUTDATED_LICENSE = "expired";
our $MSG_INVALID_LICENSE = "invalid";

our $MSG_VALID_LICENSE_IS_ALREADY_INSTALLED = <<EOT;
The valid %1 key is already installed on this device.
Do you want to continue using it?
If you answer 'no', the key will be removed [%def_answer%]:
EOT

our $MSG_INVALID_LICENSE_IS_ALREADY_INSTALLED = <<EOT;
The %1 commercial key is already active on this device.
You can continue to use this key, but the application will have limited functionality.
Do you want to continue using this %2 key anyway?
If you answer 'no' the key will be removed [%def_answer%]:
EOT

our $MSG_CONFIGURING_GUI = <<EOT;
Configuring GUI
EOT

our $MSG_USE_GUI_QUESTION = <<EOT;
Do you want to use the GUI? [%def_answer%]:
EOT

our $MSG_ADMIN_USER_QUESTION = <<EOT;
Specify user to grant the 'admin' role to (leave empty to skip):
EOT

our $MSG_USER_DOES_NOT_EXIST = <<EOT;
User '%1' does not exist.
Please enter an existing user name.
EOT

our $MSG_GUI_DEPENDENCIES_DONT_KNOW_HOW_TO_CHECK = <<EOT;
Cannot detect how to check GUI dependencies automatically for this operating system.
EOT

our $MSG_GUI_DEPENDENCIES_DONT_KNOW_HOW_TO_INSTALL = <<EOT;
Cannot detect how to install GUI dependencies automatically for this operating system.
EOT

our $MSG_GUI_DEPENDENCIES_INSTALL_FAILED = <<EOT;

Automatic installation of GUI dependencies failed.
Try to install dependencies manually and start setup script again.
EOT

our $MSG_GUI_DEPENDENCIES_INSTALL_INCOMPLETE = <<EOT;

Automatic installation does not resolve all GUI dependencies.
Try to install dependencies manually and start setup script again.
EOT

our $MSG_GUI_LOOKING_FOR_SESSION = <<EOT;
Looking for the graphical login session
EOT

our $MSG_GUI_NO_SESSION_FOUND = <<EOT;
No graphical session found
EOT

our $MSG_GUI_SESSION_FOUND = <<EOT;
Found graphical login session (user %1, pid %2)
EOT

our $MSG_GUI_GETTING_USER_INFO = <<EOT;
Getting user information
EOT

our $MSG_GUI_GOT_USER_INFO = <<EOT;
Got user information (uid %1, gid %2)
EOT

our $MSG_GUI_GETTING_ENVIRONMENT = <<EOT;
Getting environment from the graphical login session
EOT

our $MSG_GUI_CANNOT_GET_ENVIRONMENT = <<EOT;
Cannot get environment from the graphical login session
EOT

our $MSG_GUI_STARTING = <<EOT;
Starting GUI in the graphical login session
EOT

our $MSG_RESTART_PRODUCT_AFTER_GUI_RECONFIGURATION = <<EOT;
Restart the application to complete GUI reconfiguration.
EOT

our $MSG_REBOOT_AFTER_UPGRADE = <<EOT;
Restart the operating system to complete the application upgrading
EOT

our $MSG_SCANFILE_LIMIT_CHANGED = <<EOT;
The general setting of the application is changed:

    LimitNumberOfScanFileTasks=%1

Now unprivileged users can also run on-demand scan tasks.
EOT

our $MSG_CANNOT_FORK = "Cannot fork";
our $MSG_CANNOT_EXECUTE = "Cannot execute command %1: %2";
our $MSG_CANNOT_OPEN = "Cannot open file %1: %2";
our $MSG_CANNOT_GETPWNAM = "Cannot get information for user %1: %2";

our $MSG_CANNOT_STOP_SERVICE = "Application cannot be stopped. Configuration is terminated.";
our $MSG_CONFIGURATION_ABORTED = "Configuration is terminated.";

our $MSG_CONFIGURING_FILE_INTERCEPTOR = "Configuring file interceptors";
our $MSG_CHECKING_FANOTIFY_AVAILABLE  = "Checking if fanotify is available...";
our $MSG_CHECKING_KERNEL_MODULE_AVAILABLE = "Checking if kernel module is available...";
our $MSG_USING_FANOTIFY_INTERCEPTOR   = "Using fanotify interceptor";
our $MSG_USING_KERNEL_MODULE_INTERCEPTOR = "Using kernel module interceptor";
our $MSG_FANOTIFY_NOT_AVAILABLE       = "Cannot use fanotify";
our $MSG_CANNOT_LOAD_INI_FILE         = "Cannot load application configuration file";
our $MSG_CANNOT_SAVE_INI_FILE         = "Cannot save application configuration file";

our $MSG_CONFIGURING_KSN      = "Configuring KSN";
our $MSG_PARTICIPATE_IN_KSN   = "I confirm that I have fully read, understand, and accept the terms and conditions of the Kaspersky Security Network Statement (KSN Statement is available here: '%1') [%def_answer%]:";
our $MSG_FAILED_TO_SETUP_KSN = "Failed to set up KSN";

our $MSG_CMD_HELP_LOCALE = "-L, --locale\tSpecify service default locale";
our $MSG_CMD_HELP_WMCONSOLE = "-W, --wmconsole\tChange the Web Console password";
our $MSG_CMD_HELP_SAMBA = "-S, --samba\tSpecify the Samba server for File Threat Protection";

our $MSG_AI_HELP_EULA_AGREED = "=yes\tEnd User License Agreement flag must be 'yes' (required)";
our $MSG_AI_HELP_PRIVACY_POLICY_AGREED = "=yes\tPrivacy Policy agreement flag must be 'yes' (required)";
our $MSG_AI_HELP_USE_KSN = "=yes|no\tUse KSN (required)";
our $MSG_AI_HELP_SERVICE_LOCALE = "=<locale>\tSet up the service default locale";
our $MSG_AI_HELP_INSTALL_LICENSE = "=<activation>\tActivation code or key file";
our $MSG_AI_HELP_UPDATER_SOURCE = "=<U>KLServers</U>|SCServer|<url>\tSet up Updater source";
our $MSG_AI_HELP_PROXY_SERVER = "=<U>none</U>|<url>\tSet up proxy server";
our $MSG_AI_HELP_UPDATE_EXECUTE = "=<U>yes</U>|no\tRun the anti-virus database update procedure";
our $MSG_AI_HELP_UPDATER_ENABLE_AUTO = "=yes|no\tEnable auto-updates";
our $MSG_AI_HELP_KERNEL_SRCS_INSTALL = "=<U>yes</U>|no\tDownload Linux kernel source automatically";
our $MSG_AI_HELP_USE_GUI = "=yes|<U>no</U>\tUse GUI";
our $MSG_AI_HELP_ADMIN_USER_IF_USE_GUI = "=<user>\tGrant 'admin' role to the user if GUI installed";
our $MSG_AI_HELP_RTP_BUILD_KERNEL_MODULE = "=yes|no\tBuild On-Access kernel module";
our $MSG_AI_HELP_RTP_BUILD_KERNEL_SRCS = "=<path>|auto\tPath to kernel source tree directory or 'auto'";
our $MSG_AI_HELP_RTP_SAMBA_ENABLE = "=yes|no|auto\tEnable integration with Samba server";
our $MSG_AI_HELP_RTP_SAMBA_CONF = "=<path>\tPath to Samba server configuration file";
our $MSG_AI_HELP_RTP_SAMBA_VFS = "=<path>\tPath to Samba server VFS library directory";
our $MSG_AI_HELP_RTP_SAMBA_VFS_MODULE = "=<path>\tPath to VFS module to be installed";
our $MSG_AI_HELP_RTP_START = "=yes|no\tStart the File Threat Protection task";

our $MSG_UPDATE_OK_BASES_ARE_DOWNLOADED = "Latest databases are downloaded.";
our $MSG_UPDATE_FAIL_BUT_PRODUCT_HAS_VALID_BASES = "An error occurred while downloading databases. But the application has valid databases.";
1;
