DÉCLARATION DE KASPERSKY SECURITY NETWORK (KSN)

La Déclaration de Kaspersky Security Network (ci-après « Déclaration KSN ») porte sur Kaspersky Internet Security 11.1.0 for Linux (ci-après « Logiciel »).

L’ensemble des termes de la présente Déclaration KSN ont la même définition que celle qui leur est donnée dans la clause « Définitions » du Contrat de licence utilisateur final (CLUF).

La Déclaration KSN et le Contrat de licence utilisateur final du Logiciel, notamment dans la section « Conditions concernant le traitement des données », spécifient les conditions, les responsabilités et les procédures relatives à la transmission et au traitement des données, comme indiqué dans la Déclaration KSN. Avant de l’accepter, lisez attentivement les conditions de la Déclaration KSN, ainsi que tous les documents qui y sont mentionnés.

Lorsque l’Utilisateur final active l’utilisation de KSN, il incombe à l’Utilisateur final de s’assurer que le traitement des données personnelles des Personnes concernées est légal, en particulier, conformément à l’Article 6 (1) (a) à (1) (f) du Règlement (UE) 2016/679 (Règlement général sur la protection des données, « RGPD ») si la Personne concernée par les données se trouve dans l’Union européenne, ou aux lois en vigueur sur les informations confidentielles, les données personnelles, la protection des données, etc.

Traitement et protection des données
Le Titulaire des droits gère les données qu’il reçoit de l’Utilisateur final en vertu de la présente Déclaration, conformément à la Politique de confidentialité du Titulaire des droits publiée sur : https://www.kaspersky.com/Products-and-Services-Privacy-Policy.

Objectif de l’utilisation de KSN
L’utilisation de KSN peut augmenter la réactivité du Logiciel face aux menaces de sécurité pesant sur le réseau et les informations. Cet objectif est atteint en :
- déterminant la réputation des objets analysés ;
- identifiant les nouvelles menaces de sécurité des informations, difficiles à détecter, ainsi que leurs sources ;
- prenant rapidement les mesures nécessaires pour accroître la protection des données stockées et traitées par l'Utilisateur final à l'aide de l'Ordinateur ;
- réduisant la probabilité de faux positifs ;
- améliorant l’efficacité des composants logiciels ;
- conduisant une enquête en cas d’infection de l’ordinateur d’un utilisateur ;
- améliorant les performances des produits du Détenteur des droits ;
- recevant des informations de référence sur le nombre d'objets dont la réputation est éprouvée.

Données traitées
Lors de l’utilisation de KSN, le Titulaire des droits recevra et traitera automatiquement les données suivantes :
ID des commandes effectuées ; ID de l’opération en cours sur le logiciel tiers ; ID de la mise à jour du logiciel tiers ; ID d’un centre d’activation régional ; nom dérivé heuristiquement du marketer par email - expéditeur du message électronique ; contenu en fragments de l’objet en cours de traitement ; ID unique du journal d’activité de l’objet en cours de traitement ; date et heure d’expiration du certificat ; date et heure de l’émission du certificat ; version de la liste des décisions révoquées du service du Logiciel ; identifiant d’événement unique ; date et heure de l’événement ; ID de base de la catégorisation du Logiciel ; ID de l’entrée de base de données du Logiciel ; type de l’entrée des bases antivirus du Logiciel déclenché ; version de l’entrée de base de données du Logiciel ; ID de l’entrée des bases antivirus du Logiciel déclenché ; horodatage de l’entrée des bases antivirus du Logiciel déclenché ; type de l’entrée des bases antivirus du Logiciel déclenché ; date et heure de la publication des bases de données du Logiciel ; horodatage des bases de données du Logiciel ; masque binaire d’options de la requête DNS ; type de requête DNS ; port local ayant été victime d’une attaque ; ID de l’appareil ; version du SE, numéro de version du SE, numéro de mise à jour du SE, version du noyau du SE, informations détaillées à propos de l’édition du SE ; ID du SE ; ID du compte utilisé pour démarrer le processus contrôlé ; Adresse IP ; ID unique de l’instance d’installation d’applications sur l’ordinateur ; liste des interfaces réseau de l’ordinateur ; méthode de demande http ; emplacement d’injection du code dans le processus ; identifiant unique de l’utilisateur dans le système du titulaire des droits ; date d’activation de la licence ; date d’expiration de la licence ; identifiant de la licence ; version bits du système d’exploitation ; version du système d’exploitation installée sur l’ordinateur de l’utilisateur ; index de zone dont fait partie l’adresse IP du point de terminaison ; identifiant de la clé du fichier de clés utilisé pour le cryptage ; nom de l’utilisateur sur le réseau (nom de domaine) ; état de la licence utilisée par le Logiciel ; version du protocole utilisé pour se connecter à KSN ; identifiant du service Web auquel accède le Logiciel ; caractéristiques du chiffrement du package de données en cours d’envoi vers KSN ; ID du package de données en cours d’envoi vers KSN ; adresse IP externe ; adresse IP locale ; adresse MAC de la source de l’attaque réseau ; nom du protocole réseau utilisé dans le cadre de l’attaque réseau détectée ; direction d’une connexion réseau ; type du compte utilisateur utilisé pour démarrer l’objet potentiellement malveillant ; attributs de fichier d’un objet en cours de traitement ; ordre des fragments dans l’objet en cours de traitement ; données du journal interne, générées par le module du Logiciel antivirus pour un objet en cours de traitement ; nom de l’émetteur du certificat ; clé public du certificat ; algorithme de calcul de la clé publique du certificat ; numéro de série du certificat ; date et heure de la signature de l’objet ; nom et paramètres du propriétaire du certificat ; empreinte du pouce du certificat numérique de l’objet scanné et algorithme de hachage ; date et heure de la dernière modification de l’objet en cours de traitement ; date et heure de création d’un objet en cours de traitement ; caractéristiques de la détection ; attributs du fichier exécutable en cours de traitement ; date et heure de création d’un fichier exécutable en cours de traitement ; description d’un objet en cours de traitement tel que défini dans les propriétés de l’objet ; entropie du fichier en cours de traitement ; format de l’objet en cours de traitement ; type de somme de contrôle pour l’objet en cours de traitement ; taille de l’image de l’application ; résultat de la vérification de statut dans KSN pour un objet en cours de traitement ; date et heure de l’association du fichier exécutable ; somme de contrôle (MD5) d’un objet en cours de traitement ; nom d’un objet en cours de traitement ; noms des utilitaires de compression ayant compressé l’objet en cours de traitement ; indicateur signalant que l’objet en cours de traitement est un fichier PE ; valeur de l’attribut de caractéristiques issu de l’en-tête du fichier PE ; masque de bits de la section de répertoires de données dans le fichier PE ; taille de superposition dans le fichier PE ; nombre de sections dans le fichier PE ; valeur de l’attribut de sous-système issu de l’en-tête du fichier PE ; nom du Logiciel ; somme de contrôle (MD5) du masque bloquant le service Web ; somme de contrôle (SHA256) d’un objet en cours de traitement ; informations sur la personne ayant signé le fichier en cours de traitement ; taille d’un objet en cours de traitement ; un indicateur signalant une application qui s’exécute automatiquement au démarrage ; nom de l’application malveillante ou du logiciel authentique capable d’endommager les données de l’ordinateur ou de l’utilisateur ; code du type d’objet ; nom du fournisseur du Logiciel ; décision du Logiciel à propos d’un objet en cours de traitement ; version d’un objet en cours de traitement ; date et heure du premier lancement de l’objet en cours de traitement ; source de la décision prise pour l’objet en cours de traitement ; somme de contrôle d’un objet en cours de traitement ; nom de l’application parente ; niveau d’intégrité de l’objet en cours de traitement ; somme de contrôle (MD5) de l’objet en cours de traitement ; résultat de la vérification de l’intégrité du module ; opérations de fichiers détectées concernant l’objet en cours de traitement ; résultat de l’action concernant l’objet en cours de traitement ; code d’opération de fichier ; chemin vers l’objet en cours de traitement ; code de répertoire ; ID du système de processus (PID) ; droits d’accès concernant l’objet en cours de traitement ; informations sur les résultats de la vérification de la signature des fichiers ; chemin du fichier source ; ID de vulnérabilité ; classe de danger de la vulnérabilité ; édition du SE ; chemin complet du fichier de processus parent utilisé pour lancer le processus ; ID de système du processus parent (PID) ; arguments de ligne de commande pour le processus ; somme de contrôle du code d’activation du Logiciel ; ID du Logiciel provenant de la licence ; version du composant du Logiciel ; données à propos de la licence pour identifier un groupe d’utilisateurs de l’entreprise qui a acquis la licence par les commentaires dans les propriétés de licence ; version complète du Logiciel ; ID unique de l’ordinateur ; ID de la mise à jour du Logiciel ; ID du Logiciel ; date et heure de l’installation du Logiciel ; date d’activation du Logiciel ; ID de la licence du Logiciel ; somme de contrôle du fichier clé du Logiciel ; ID du modèle d’informations utilisé pour fournir la licence du Logiciel ; numéro de série de la clé de licence du Logiciel ; identifiant du certificat utilisé pour signer l’en-tête du ticket à propos de la licence du Logiciel ; date et heure de création du ticket à propos de la licence du Logiciel ; somme de contrôle du ticket à propos de la licence du Logiciel ; version du ticket à propos de la licence du Logiciel ; version du code d’activation du Logiciel ; localisation du Logiciel ; type de notification qui a déclenché l’envoi de statistiques ; versions du SE ; la version du Logiciel ; identifiant de l’organisation partenaire via laquelle la commande de licence du Logiciel a été effectuée ; informations à propos des mises à jour du Logiciel ; ID de l’installation logicielle (PCID) ; ID du changement de marque du Logiciel ; nom du composant du Logiciel ; état de fonctionnement du composant du Logiciel ; ID du Logiciel sous licence ; état d’intégrité du Logiciel après la mise à jour ; type de Logiciel installé ; indicateur de participation à KSN ; format des données dans la demande de l’infrastructure du Titulaire des droits ; ID du ticket à propos de la licence actuelle ; ID de composant du Logiciel ; nom du service SE créé/modifié ; clé de la session ouverte ; algorithme de cryptage de la clé de la session ouverte ; résultat de l’action du Logiciel ; adresse Web à partir de laquelle le fichier correspondant au processus a été téléchargé ; réponse du serveur DNS ; adresse IP du serveur DNS ; date et heure de fin de réception des statistiques ; code d’erreur ; actions d’utilisateur concernant l’élément d’interface dans la fenêtre d’application ; adresse IP de la personne malveillante ; indicateur de détection de débogage ; attribut d’un objet en cours de traitement ayant autorisé à se rappeler de la décision de faux positive concernant l’objet ; ID de la tâche dans le cadre de laquelle la détection a été effectuée ; nombre de connexions à KSN extraites du cache ; nombre de demandes dont les réponses se trouvent dans la base de données des demandes locales ; nombre de connexions non abouties à KSN ; nombre de transactions non abouties à KSN ; distribution temporaire des demandes à KSN annulées ; distribution temporaire des connexions non abouties à KSN ; distribution temporaire des transactions KSN non abouties ; distribution temporaire des connexions abouties à KSN ; distribution temporaire des transactions KSN abouties ; distribution temporaire des demandes abouties à KSN ; distribution temporaire des demandes à KSN ayant expiré ; nombre de nouvelles connexions à KSN ; nombre de demandes non abouties à KSN causées par des erreurs de routage ; nombre de demandes non abouties causées par la désactivation de KSN dans les paramètres du Logiciel ; nombre de demandes non abouties à KSN causées par des problèmes de réseaux ; nombre de connexions abouties à KSN ; nombre de transactions KSN abouties ; nombre total de demandes à KSN ; retard dans l’envoi des statistiques ; caractère confidentiel de la détection d’accès au service Web de phishing ; cible d’une attaque de phishing ; poids de l’accès détecté vers le service Web de phishing ; ID de protocole ; ID de l’opération que le Logiciel est en train d’effectuer ; date et heure de début de réception des statistiques ; date et heure de la détection de logiciel par System Watcher ; nombre de logiciels détectés dans le cadre de System Watcher ; motif de la détection de logiciels par System Watcher ; version des statistiques en cours d’envoi ; spécifications techniques des technologies de détection appliquées ; vecteur à 4 octets calculé sur les 4 096 premiers octets de la section ; fréquence à valeur numérique calculée sur les 4 096 premiers octets de la section ; fréquence nulle calculée sur les 4 096 premiers octets de la section ; version d’un certain compilateur ; propriétés et sommes de contrôle des parties du fichier d’exécution ; version de l’émulateur ; vecteur à 4 octets calculé sur les 4 096 derniers octets de la section ; fréquence à valeur numérique calculée sur les 4 096 derniers octets de la section ; fréquence nulle calculée sur les 4 096 derniers octets de la section ; propriétés et sommes de contrôle des parties du fichier d’exécution ; profondeur de l’émulation ; type de la tâche d’analyse de fichiers exécutables envoyant les statistiques ; temps de stockage de l’objet en cours de traitement ; algorithme pour le calcul de l’empreinte du pouce des certificats numériques ; nom de composant ; horodatage du composant mis à jour (version mise à jour) ; horodatage du composant (version locale) ; nombre d’échecs d’installation de mises à jour pour le composant du programme de mise à jour ; code de la catégorie d’erreur ; nombre d’erreurs d’installation de mises à jour pour le composant du programme de mise à jour ; horodatage de l’index racine des mises à jour en cours de téléchargement ; horodatage de l’index racine des mises à jour disponibles ; code d’erreur de la tâche de mise à jour ; valeur du filtre TARGET pour les tâches de mise à jour ; type de tâche de mise à jour ; version du composant du programme de mise à jour ; masque binaire des paramètres de l’objet en cours de traitement ; somme de contrôle du nom d’utilisateur ; identifiant de sécurité du compte utilisateur (SID) ; adresse d’accès du service web (URL, IP) ; en-tête de la demande http en cours de traitement ; adresse ipv4 consultée du service Web ; adresse ipv6 consultée du service Web ; numéro de port ; adresse Web de la source de la demande du service Web (référent) ; adresse Web en cours de traitement ; informations à propos du client utilisant un protocole réseau (agent de l’utilisateur) ; identifiant de zone de sécurité extrait du flux NTFS.

En outre, afin d'atteindre l'objectif déclaré visant à éviter tout faux positif, le Détenteur des droits peut recevoir des fichiers exécutables et non exécutables, dans leur intégralité ou en partie.

Votre volonté de participer
Le fait de fournir les informations ci-dessus à KSN est volontaire. Une fois le Logiciel installé, l’Utilisateur final peut à tout moment activer ou désactiver l’utilisation de KSN dans les paramètres du Logiciel, comme décrit dans le Manuel de l’utilisateur.

© 2019 AO Kaspersky Lab. Tous droits réservés.
