ПОЛОЖЕНИЕ О KASPERSKY SECURITY NETWORK (KSN)

Положение о Kaspersky Security Network (далее – Положение о KSN) относится к программному обеспечению Kaspersky Endpoint Security 11.1.0 для Linux (далее – ПО).

Все используемые в настоящем Положении определения имеют значения, указанные в Разделе «Определения» Лицензионного соглашения.

Положение о KSN совместно с Лицензионным соглашением для ПО, в частности в разделе «Условия обработки данных», определяют условия, ответственность и порядок передачи и обработки данных, указанных в Положении о KSN. Внимательно ознакомьтесь с условиями Положения о KSN, а также со всеми документами, ссылки на которые содержит Положение о KSN, перед тем, как принять его.

Если Пользователь включает использование KSN, Пользователь несет ответственность за обеспечение законности обработки персональных данных Субъектов данных, которая определена в применимых законах о конфиденциальной информации, персональных данных, защите данных или аналогичных законах.

Защита и обработка данных
Данные, которые получает Правообладатель от Пользователя при использовании KSN, защищаются и обрабатывается в соответствии с Политикой конфиденциальности Правообладателя, опубликованной по адресу: https://www.kaspersky.com/Products-and-Services-Privacy-Policy.

Цель использования KSN
Использование KSN может ускорить реакцию ПО на угрозы информационной и сетевой безопасности. Это достигается посредством следующих действий:
- определения репутации проверяемых объектов;
- выявления новых и сложных для обнаружения угроз информационной и сетевой безопасности, а также их источников;
- оперативного принятия мер по повышению уровня защиты информации, хранимой и обрабатываемой Пользователем с использованием Компьютера;
- уменьшения вероятностей ложных срабатываний;
- повышения эффективности работы компонентов ПО;
- расследование заражения на компьютере пользователя;
- улучшения качества работы продуктов Правообладателя;
- получения справочной информации о количестве объектов с известной репутацией.

Обрабатываемые данные
При использовании KSN Правообладатель будет получать и обрабатывать следующие данные в автоматическом режиме:
идентификаторы выполненных команд; идентификатор операции, выполняемой со сторонним ПО; идентификатор обновления стороннего ПО; идентификатор регионального центра активации; эвристически определенное имя email маркетера – отправителя сообщения электронной почты; содержимое фрагмента в обрабатываемом объекте; уникальный идентификатор журнала активности обрабатываемого объекта; дата и время истечения сертификата; дата и время выдачи сертификата; версия списка отозванных заключений службы ПО; уникальный идентификатор события; дата и время события; идентификатор базы категоризации ПО; идентификатор записи в базах ПО; тип сработавшей записи в антивирусных базах ПО; версия записи в базе данных ПО; идентификатор сработавшей записи в антивирусных базах ПО; временная метка сработавшей записи в антивирусных базах ПО; тип сработавшей записи в антивирусных базах ПО; дата и время выпуска баз ПО; временная метка баз ПО; битовая маска параметров DNS-запроса; тип запроса к DNS-серверу; локальный порт, на который была проведена атака; идентификатор устройства; версия ядра ОС; номер сборки ОС, номер обновления ОС, редакция ОС, расширенная информация о редакции ОС; идентификатор ОС; идентификатор учетной записи, от имени которой был запущен контролируемый процесс; IP-адрес; уникальный идентификатор установки ПО на компьютере; сетевые интерфейсы компьютера; метод осуществления http-запроса; место внедрения кода в обрабатываемом процессе; уникальный идентификатор пользователя в системах правообладателя; дата активации лицензии; дата окончания срока действия лицензии; идентификатор лицензии; разрядность операционной системы; архитектура операционной системы; версия установленной операционной системы на компьютере пользователя; область действия, к которой принадлежит ip-адрес; идентификатор ключа из хранилища ключей, используемого для шифрования; имя компьютера в сети (доменное имя); статус лицензии, по которой используется ПО; протокол, используемый для передачи данных в KSN; идентификатор службы KSN, к которой обращается ПО; характеристики шифрования пакета данных, отправляемых в KSN; идентификатор пакета данных, отправляемых в KSN; внешний IP-адрес; локальный IP адрес; MAC-адрес источника сетевой атаки; название сетевого протокола, используемого в обнаруженной сетевой атаке; направление сетевого подключения; тип учетной записи, с правами которой был запущен возможно зараженный объект; атрибуты обрабатываемого объекта; порядковый номер фрагмента в обрабатываемом объекте; данные внутреннего журнала, сформированного антивирусным компонентом ПО для обрабатываемого объекта; наименование эмитента сертификата; публичный ключ сертификата; алгоритм вычисления публичного ключа сертификата; серийный номер сертификата; дата и время подписи объекта; имя и параметры владельца сертификата; отпечаток цифрового сертификата проверяемого объекта и алгоритм хеширования; дата и время последней модификации обрабатываемого объекта; дата и время создания обрабатываемого объекта; характеристики обнаружения; атрибуты обрабатываемого исполняемого файла; дата и время создания обрабатываемого исполняемого файла; описание обрабатываемого объекта, указанное в его свойствах; энтропия обрабатываемого объекта; формат обрабатываемого объекта; тип контрольной суммы обрабатываемого объекта; размер образа приложения ; результат проверки объекта в KSN; дата и время компоновки исполняемого файла; контрольная сумма обрабатываемого объекта (MD5); имя обрабатываемого объекта; названия упаковщиков, которыми был упакован обрабатываемый объект; признак того, что обрабатываемый объект является исполняемым файлом; значение атрибута Charecteristics из PE заголовка файла; битовая маска, построенная по секции Data Directories из PE заголовка файла; размер наложения из PE заголовка файла; количество секций в PE заголовке файла; значение атрибута Subsystem из заголовка PE-файла; название ПО; контрольная сумма (MD5) маски, по которой была заблокирована веб-служба; контрольная сумма (SHA256) обрабатываемого объекта; информация о том, кем был подписан обрабатываемый объект; размер обрабатываемого объекта; признак того, что объект находится в автозапуске; название обнаруженной вредоносной программы или легальной программы, которая может быть использована для нанесения вреда устройству или данным пользователя; код типа объекта; название продавца ПО; заключение ПО по обрабатываемому объекту; версия обрабатываемого объекта; дата и время первого запуска обрабатываемого объекта; источник заключения по обрабатываемому объекту; контрольная сумма обрабатываемого объекта; имя приложения, частью которого является обрабатываемый объект; уровень целостности обрабатываемого объекта; контрольная сумма обрабатываемого объекта (MD5); результат проверки подписи модуля, целостность которого проверяется ПО; обнаруженные файловые операции, выполненные над обрабатываемым объектом; результат операции с обрабатываемым объектом; код файловой операции; путь к обрабатываемому объекту; код каталога файлов; идентификатор процесса в системе (PID); права доступа, которыми обладает обрабатываемый объект; информация о результатах проверки подписи файла; путь к исходному объекту; идентификатор уязвимости; класс опасности уязвимости; редакция ОС; путь к исполняемому файлу родительского процесса; идентификатор родительского процесса в системе (PID); аргументы командной строки, переданные процессу при запуске; контрольная сумма кода активации ПО; идентификатор ПО, полученный из лицензии; версия компонента ПО; данные о лицензии для идентификации группы пользователей в компании, которая приобрела лицензию, по комментарию в свойствах лицензии; полная версия ПО; уникальный идентификатор компьютера; идентификатор обновления ПО; идентификатор ПО; дата и время установки ПО; дата активации ПО; идентификатор лицензии ПО; контрольная сумма файла ключа, которым активировано ПО; идентификатор информационной модели, примененной при предоставлении лицензии на использование ПО; серийный номер лицензионного ключа ПО; идентификатор сертификата, которым подписан заголовок лицензионного тикета ПО; дата и время создания лицензионного тикета ПО; контрольная сумма лицензионного тикета ПО; версия лицензионного тикета ПО; версия кода активации ПО; локализация ПО; тип события, по которому собран пакет статистики; версия ОС; версия ПО; идентификатор компании партнера, у которого был размещен заказ на покупку лицензии на использование ПО; информация об обновлениях ПО; идентификатор установки ПО (PCID); идентификатор ребрендинга ПО; название компонента ПО; статус работы компонента ПО; идентификатор ПО, для которого предназначена лицензия; статус работоспособности ПО после обновления; тип установленного ПО; признак участия в KSN; формат данных в запросе к инфраструктуре Правообладателя; идентификатор тикета текущей лицензии; идентификатор компонента ПО; название созданной/измененной службы ОС; ключ сеанса входа; алгоритм шифрования ключа сеанса входа; результат действий, выполненных ПО; веб-адрес, с которого был загружен файл, соответствующий процессу; ответ DNS-сервера; IP-адрес DNS-сервера; дата и время окончания получения статистик; код ошибки; действия пользователя с элементом интерфейса в окне программы; IP-адрес атакующего; признак того, что обнаружение является отладочным; признак обрабатываемого объекта, по которому было отозвано решение по этому объекту; идентификатор задачи, в рамках которой произошло обнаружение; количество подключений к KSN, взятых из кеша; количество запросов, для которых был найден ответ в локальной базе запросов; количество неуспешных подключений к KSN; количество неуспешных KSN-транзакций; распределение по времени выполнения отмененных запросов к KSN; распределение по времени выполнения неуспешных подключений к KSN; распределение по времени выполнения неуспешных KSN-транзакций; распределение по времени выполнения успешных подключений к KSN; распределение по времени выполнения успешных KSN-транзакций; распределение по времени выполнения успешных запросов к KSN; распределение по времени выполнения запросов к KSN, превысивших ограничение на время ожидания; количество новых подключений к KSN; количество неуспешных запросов к KSN из-за ошибок маршрутизации; количество неуспешных запросов из-за выключенного KSN в параметрах ПО; количество неуспешных запросов к KSN из-за сетевых проблем; количество успешных подключений к KSN; количество успешных KSN-транзакций; количество выполненных запросов к KSN; время задержки отправки статистики; степень уверенности в определении обращения к фишинговой веб-службе; цель фишинговой атаки; весовая характеристика обнаруженного обращения к фишинговой веб-службе; идентификатор протокола; идентификатор операции, выполняемой ПО; дата и время начала получения статистики; дата и время обнаружения стороннего ПО компонентом мониторинг активности; номер обнаруженного ПО в контексте компонента мониторинг активности; причина обнаружения стороннего ПО компонентом мониторинг активности; версия отправляемой статистики; технические характеристики применяемых технологий обнаружения; 4-х байтовый вектор, посчитанный по первым 4096 байтам секции; частота встречаемости цифровых значений, посчитанная по первым 4096 байтам секции; частота встречаемости нулей, посчитанная по первым 4096 байтам секции; версия определенного компилятора; свойства и контрольные суммы частей исполняемого файла; версия эмулятора; 4-х байтовый вектор, посчитанный по последним 4096 байтам секции; частота встречаемости цифровых значений, посчитанная по последним 4096 байтам секции; частота встречаемости нулей, посчитанная по последним 4096 байтам секции; свойства и контрольные суммы частей исполняемого файла; глубина эмуляции; тип задачи проверки исполняемого файла, в результате которой отправляется статистика; время хранения обрабатываемого объекта; алгоритм расчета отпечатка цифрового сертификата; название компонента; временная метка компонента обновления (обновленная версия); временная метка компонента (локальная версия); число неуспешеных завершений установки обновления для компонента обновления; код категории ошибки; число ошибок установки обновления для компонента обновления; временная метка корневого индекса загружаемых обновлений; временная метка корневого индекса имеющихся обновлений; код ошибки задачи обновления; значение фильтра TARGET для задачи обновления; тип задачи обновления; версия компонента обновления; битовая маска параметров обрабатываемого объекта; контрольная сумма от имени пользователя; идентификатор безопасности учетной записи (SID); адрес веб-службы, на который осуществлялось обрабатываемое обращение (веб-адрес, IP); заголовок обрабатываемого HTTP-запроса; IP-адрес (IPv4) веб-службы, на который осуществлялось обращение; IP-адрес (IPv6) веб-службы, на который осуществлялось обращение; номер порта; веб-адрес источника запроса к веб-службе (referer); обрабатываемый веб-адрес; информация о клиенте, использующем сетевой протокол (user agent); идентификатор зоны безопасности из потока NTFS.

Также для достижения заявленной цели в части предотвращения ложных срабатываний Правообладатель может получать доверенные исполняемые и неисполняемые файлы или их части.

Добровольное предоставление данных
Предоставление вышеуказанной информации в KSN является добровольным. После установки ПО Пользователь имеет возможность в любой момент времени включить использование KSN или отказаться от использования KSN в настройках ПО согласно описанию в Руководстве пользователя.

© АО «Лаборатория Касперского», 2019.
